net.minecraft.entity.item

## Class EntityMinecartTNT

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.item.EntityMinecart
    - - net.minecraft.entity.item.EntityMinecartTNT

-     public class EntityMinecartTNT
      extends EntityMinecart

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.item.EntityMinecart

      `defaultDragAir, defaultMaxSpeedAirLateral, defaultMaxSpeedAirVertical`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityMinecartTNT(World par1World)`
    `EntityMinecartTNT(World par1World, double par2, double par4, double par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_94104_d()`
    `float` | `getBlockExplosionResistance(Explosion par1Explosion, World par2World, int par3, int par4, int par5, Block par6Block)` Gets a block's resistance to this entity's explosion.
    `Block` | `getDefaultDisplayTile()`
    `int` | `getMinecartType()`
    `void` | `handleHealthUpdate(byte par1)`
    `void` | `ignite()` Ignites this TNT cart.
    `boolean` | `isIgnited()` Returns true if the TNT minecart is ignited.
    `void` | `killMinecart(DamageSource par1DamageSource)`
    `void` | `onActivatorRailPass(int par1, int par2, int par3, boolean par4)` Called every tick the minecart is on an activator rail.
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `boolean` | `shouldExplodeBlock(Explosion par1Explosion, World par2World, int par3, int par4, int par5, int par6, float par7)`

    - ### Methods inherited from class net.minecraft.entity.item.EntityMinecart

      `applyEntityCollision, attackEntityFrom, canBeCollidedWith, canBePushed, canBeRidden, canUseRail, createMinecart, func_70489_a, func_70495_a, func_95999_t, getBoundingBox, getCartItem, getCollisionBox, getCollisionHandler, getCurrentCartSpeedCapOnRail, getDamage, getDefaultDisplayTileData, getDefaultDisplayTileOffset, getDisplayTile, getDisplayTileData, getDisplayTileOffset, getDragAir, getEntityName, getMaxCartSpeedOnRail, getMaxSpeedAirLateral, getMaxSpeedAirVertical, getMountedYOffset, getRollingAmplitude, getRollingDirection, getShadowSize, getSlopeAdjustment, hasDisplayTile, isInvNameLocalized, isPoweredCart, moveMinecartOnRail, performHurtAnimation, setCanUseRail, setCollisionHandler, setCurrentCartSpeedCapOnRail, setDamage, setDead, setDisplayTile, setDisplayTileData, setDisplayTileOffset, setDragAir, setHasDisplayTile, setMaxSpeedAirLateral, setMaxSpeedAirVertical, setMinecartName, setPositionAndRotation2, setRollingAmplitude, setRollingDirection, setVelocity, shouldDoRailFunctions`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, getAir, getBrightness, getBrightnessForRender, getCollisionBorderSize, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getExtendedProperties, getEyeHeight, getLastActiveItems, getLookVec, getMaxInPortalTime, getMaxSafePointTries, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getTeleportDirection, getTranslatedEntityName, getUniqueID, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onChunkLoad, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setEating, setFire, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setRotationYawHead, setSneaking, setSprinting, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, updateRidden, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityMinecartTNT

          public EntityMinecartTNT(World par1World)

    - #### EntityMinecartTNT

          public EntityMinecartTNT(World par1World,
                           double par2,
                           double par4,
                           double par6)

  - ### Method Detail

    - #### getMinecartType

          public int getMinecartType()

      Specified by:
        `getMinecartType` in class `EntityMinecart`

    - #### getDefaultDisplayTile

          public Block getDefaultDisplayTile()

      Overrides:
        `getDefaultDisplayTile` in class `EntityMinecart`

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `EntityMinecart`

    - #### killMinecart

          public void killMinecart(DamageSource par1DamageSource)

      Overrides:
        `killMinecart` in class `EntityMinecart`

    - #### onActivatorRailPass

          public void onActivatorRailPass(int par1,
                                 int par2,
                                 int par3,
                                 boolean par4)

      Called every tick the minecart is on an activator rail.
      Overrides:
        `onActivatorRailPass` in class `EntityMinecart`

    - #### handleHealthUpdate

          public void handleHealthUpdate(byte par1)

      Overrides:
        `handleHealthUpdate` in class `Entity`

    - #### ignite

          public void ignite()

      Ignites this TNT cart.

    - #### func_94104_d

          public int func_94104_d()

    - #### isIgnited

          public boolean isIgnited()

      Returns true if the TNT minecart is ignited.

    - #### getBlockExplosionResistance

          public float getBlockExplosionResistance(Explosion par1Explosion,
                                          World par2World,
                                          int par3,
                                          int par4,
                                          int par5,
                                          Block par6Block)

      Gets a block's resistance to this entity's explosion. Used to make rails immune to TNT minecarts' explosions and Wither skulls more destructive.
      Overrides:
        `getBlockExplosionResistance` in class `Entity`

    - #### shouldExplodeBlock

          public boolean shouldExplodeBlock(Explosion par1Explosion,
                                   World par2World,
                                   int par3,
                                   int par4,
                                   int par5,
                                   int par6,
                                   float par7)

      Overrides:
        `shouldExplodeBlock` in class `Entity`